[SciPy-user] fftpack link problems

Pearu Peterson scipy-user@scipy.net
Fri, 28 Feb 2003 10:22:31 +0200 (EET)


On Thu, 27 Feb 2003, Michael McKerns wrote:

> sorry to be a bother, but I'm having trouble with the
> new version of SciPy (0.2.0_alpha_156.4568).  I had the
> ...144.4350 installed previously, but now after update
> I get errors upon "import scipy"

Please include error messages to bug reports. They could
be relevant for resolving problems quickly.

> This seems to stem from fftpack now not being able to find
> librfftw.so.2
>
> I'm on RH8.0 & am using most recent F2PY & not using ATLAS.
> 
> I think that it should be a matter of just linking the libraries,
> yes?  Can you explain really slow for my little brain?  I had
> some trouble trying to figure out the new build/install procedure
> for scipy...

The only relevant difference between these SciPy versions seem to
be that the order of fftw, rfftw libraries was changed to
rfftw, fftw (which should be the correct order).

What `python scipy_distutils/system_info.py` says about finding FFTW in
your case? Do you have librfftw.so properly installed in your system?
May be you need to add the directory path of librfftw.so to
LD_LIBRARIES_PATH variable (or to /etc/ld.so.conf).
See also scipy/fftpack/NOTES.txt when you are building FFTW by yourself.

Pearu